Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_IORInterceptor_List Class Reference

Encapsulation for a list of IOR interceptors. More...

`#include <Interceptor_List.h>`

Inheritance diagram for TAO_IORInterceptor_List:

[legend]
Collaboration diagram for TAO_IORInterceptor_List:

[legend]
List of all members.

## Public Types
typedef ACE_Array_Base< PortableInterceptor::IORInterceptor_ptr > | TYPE
| Define a trait for the underlying portable interceptor array. More...
## Public Methods
| TAO_IORInterceptor_List (void)
| Constructor. More...
| ~TAO_IORInterceptor_List (void)
| Destructor. More...
void | add_interceptor (PortableInterceptor::IORInterceptor_ptr i ACE_ENV_ARG_DECL)
| Register an IOR interceptor. More...
TYPE & | interceptors (void)
| Return reference to the underlying Portable Interceptor array. More...
## Protected Methods
virtual size_t | length (void)
| Return the length of the underlying interceptor array. More...
virtual void | length (size_t)
| Set the length of the underlying interceptor array. More...
virtual PortableInterceptor::Interceptor_ptr | interceptor (size_t)
| Return the interceptor in array element <index>. More...
## Private Attributes
TYPE | interceptors_
| Dynamic array of registered IOR interceptors. More...

## Detailed Description

Encapsulation for a list of IOR interceptors.

## Member Typedef Documentation

typedef ACE_Array_Base<PortableInterceptor::IORInterceptor_ptr> TAO_IORInterceptor_List::TYPE

| Define a trait for the underlying portable interceptor array.

## Constructor & Destructor Documentation

TAO_IORInterceptor_List::TAO_IORInterceptor_List | ( | void |  | ) |

| Constructor.

TAO_IORInterceptor_List::~TAO_IORInterceptor_List | ( | void |  | ) |

| Destructor.

## Member Function Documentation

void TAO_IORInterceptor_List::add_interceptor | ( | PortableInterceptor::IORInterceptor_ptr i | ACE_ENV_ARG_DECL | ) |

| Register an IOR interceptor.

PortableInterceptor::Interceptor_ptr TAO_IORInterceptor_List::interceptor | ( | size_t | index | ) | `[protected, virtual]`

| Return the interceptor in array element <index>. Reimplemented from TAO_Interceptor_List.

ACE_INLINE TAO_IORInterceptor_List::TYPE & TAO_IORInterceptor_List::interceptors | ( | void |  | ) |

| Return reference to the underlying Portable Interceptor array.

void TAO_IORInterceptor_List::length | ( | size_t | len | ) | `[protected, virtual]`

| Set the length of the underlying interceptor array. Reimplemented from TAO_Interceptor_List.

size_t TAO_IORInterceptor_List::length | ( | void |  | ) | `[protected, virtual]`

| Return the length of the underlying interceptor array. Reimplemented from TAO_Interceptor_List.

## Member Data Documentation

TYPE TAO_IORInterceptor_List::interceptors_`[private]`

| Dynamic array of registered IOR interceptors.

The documentation for this class was generated from the following files:

- Interceptor_List.h
- Interceptor_List.cpp
- Interceptor_List.inl